package com.ruoyi.system.mapper.visit;

import com.ruoyi.system.domain.visit.VisitPlan;
import com.ruoyi.system.domain.visit.VisitPlanExample;
import com.ruoyi.system.domain.visit.vo.VisitPlanRate;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface VisitPlanMapper {
    long countByExample(VisitPlanExample example);

    int deleteByExample(VisitPlanExample example);

    int deleteByPrimaryKey(String id);

    int insert(VisitPlan record);

    int insertSelective(VisitPlan record);

    List<VisitPlan> selectByExampleWithBLOBs(VisitPlanExample example);

    List<VisitPlan> selectByExample(VisitPlanExample example);

    VisitPlan selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") VisitPlan record, @Param("example") VisitPlanExample example);

    int updateByExampleWithBLOBs(@Param("record") VisitPlan record, @Param("example") VisitPlanExample example);

    int updateByExample(@Param("record") VisitPlan record, @Param("example") VisitPlanExample example);

    int updateByPrimaryKeySelective(VisitPlan record);

    int updateByPrimaryKeyWithBLOBs(VisitPlan record);

    int updateByPrimaryKey(VisitPlan record);

    VisitPlanRate getPlanRate(Map<String,String> params);
}
